You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@couchdb.apache.org by rn...@apache.org on 2014/07/10 16:51:15 UTC

[42/50] couchdb commit: updated refs/heads/master to 6526051

Delete obsolete build files


Project: http://git-wip-us.apache.org/repos/asf/couchdb/repo
Commit: http://git-wip-us.apache.org/repos/asf/couchdb/commit/a19f7f70
Tree: http://git-wip-us.apache.org/repos/asf/couchdb/tree/a19f7f70
Diff: http://git-wip-us.apache.org/repos/asf/couchdb/diff/a19f7f70

Branch: refs/heads/master
Commit: a19f7f70bf83bb2403f990668a5827c6775d617c
Parents: 694dadd
Author: Robert Newson <rn...@apache.org>
Authored: Fri Jun 27 11:53:28 2014 +0100
Committer: Robert Newson <rn...@apache.org>
Committed: Fri Jun 27 14:45:13 2014 +0100

----------------------------------------------------------------------
 acinclude.m4.in                             |  30 --
 bin/couch-config.tpl.in                     | 130 ---------
 bin/couchdb.bat.tpl.in                      |  26 --
 bin/couchdb.tpl.in                          | 339 -----------------------
 etc/default/couchdb                         |   7 -
 etc/init/couchdb.tpl.in                     | 159 -----------
 etc/launchd/org.apache.couchdb.plist.tpl.in |  30 --
 etc/logrotate.d/couchdb.tpl.in              |   9 -
 etc/windows/README.txt.tpl                  |  29 --
 etc/windows/couchdb.iss.tpl                 |  92 ------
 10 files changed, 851 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/acinclude.m4.in
----------------------------------------------------------------------
diff --git a/acinclude.m4.in b/acinclude.m4.in
deleted file mode 100644
index ffdce68..0000000
--- a/acinclude.m4.in
+++ /dev/null
@@ -1,30 +0,0 @@
-dnl Licensed under the Apache License, Version 2.0 (the "License"); you may not
-dnl use this file except in compliance with the License.  dnl You may obtain a
-dnl copy of the License at
-dnl
-dnl   http://www.apache.org/licenses/LICENSE-2.0
-dnl
-dnl Unless required by applicable law or agreed to in writing, software
-dnl distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-dnl WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-dnl License for the specific language governing permissions and limitations
-dnl under the License.
-
-m4_define([LOCAL_PACKAGE_AUTHOR_NAME], [The Apache Software Foundation])
-m4_define([LOCAL_PACKAGE_AUTHOR_ADDRESS], [dev@couchdb.apache.org])
-m4_define([LOCAL_PACKAGE_IDENTIFIER], [couchdb])
-m4_define([LOCAL_PACKAGE_TARNAME], [apache-couchdb])
-m4_define([LOCAL_PACKAGE_NAME], [Apache CouchDB])
-m4_define([LOCAL_BUG_URI], [https://issues.apache.org/jira/browse/COUCHDB])
-m4_define([LOCAL_VERSION_MAJOR], [1])
-m4_define([LOCAL_VERSION_MINOR], [4])
-m4_define([LOCAL_VERSION_REVISION], [0])
-m4_define([LOCAL_VERSION_STAGE], [a])
-m4_define([LOCAL_VERSION_RELEASE], [-%release%])
-m4_define([LOCAL_VERSION_PRIMARY],
-    [LOCAL_VERSION_MAJOR.LOCAL_VERSION_MINOR.LOCAL_VERSION_REVISION])
-m4_define([LOCAL_VERSION_SECONDARY],
-    [LOCAL_VERSION_STAGE[]LOCAL_VERSION_RELEASE])
-m4_define([LOCAL_VERSION],
-    [LOCAL_VERSION_PRIMARY[]LOCAL_VERSION_SECONDARY])
-

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/bin/couch-config.tpl.in
----------------------------------------------------------------------
diff --git a/bin/couch-config.tpl.in b/bin/couch-config.tpl.in
deleted file mode 100644
index 22ae548..0000000
--- a/bin/couch-config.tpl.in
+++ /dev/null
@@ -1,130 +0,0 @@
-#! /bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you
-# may not use this file except in compliance with the License. You may
-# obtain a copy of the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied. See the License for the specific language governing
-# permissions and limitations under the License.
-
-basename=`basename "$0"`
-
-staticdir="%localbuilddatadir%"
-erlanglibdir="%localerlanglibdir%"
-couchversion="%version%"
-dbdir="%localstatelibdir%"
-viewdir="%localstatelibdir%"
-confdir="%localconfdir%"
-urifile="%localstaterundir%/couch.uri"
-logdir="%localstatelogdir%"
-
-version () {
-    cat << EOF
-$basename - %package_name% configuration helper %version%
-
-Licensed under the Apache License, Version 2.0 (the "License"); you may not use
-this file except in compliance with the License. You may obtain a copy of the
-License at
-
-  http://www.apache.org/licenses/LICENSE-2.0
-
-Unless required by applicable law or agreed to in writing, software distributed
-under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
-CONDITIONS OF ANY KIND, either express or implied. See the License for the
-specific language governing permissions and limitations under the License.
-
-EOF
-}
-
-usage()
-{
-    cat << EOF
-Usage: $basename [OPTION]
-
-The $basename command runs the %package_name% configuration helper
-script.
-
-Options:
-
-  --erl-libs-dir    Erlang library directory
-  --config-dir      configuration directory
-  --db-dir          database dirrectory
-  --view-dir        view index directory
-  --static-dir      static asset directory
-  --doc-dir         documentation directory
-  --log-dir         log directory
-  --uri-file        daemon sockets file 
-  --couch-version   version of Apache CouchDB
-  --version         version of $basename
-  --help            Print usage
-
-If you want to add an option in couch-config or report bugs please do it
-at <%bug_uri%>.
-EOF
-}
-  
-
-if [ $# -lt 1 ]; then
-    usage
-    exit 1
-fi
-
-
-while [ $# -gt 0 ];
-do
-    arg="$1"
-    var=`echo $arg | sed -e 's/^[^=]*=//'`
-    
-    case "$arg" in
-        --erl-libs-dir)
-            echo $erlanglibdir
-            ;;
-        --config-dir)
-            echo $confdir
-            ;;
-        --db-dir)
-            echo $dbdir
-            ;;
-        --view-dir)
-            echo $viewdir
-            ;;
-        --static-dir)
-            echo $staticdir
-            ;;
-        --doc-dir)
-            echo $staticdir
-            ;;
-        --log-dir)
-            echo $logdir
-            ;;
-        --uri-file)
-            echo $urifile
-            ;;
-        --couch-version)
-            echo $couchversion
-            ;;
-        --version)
-            version
-            exit 0
-            ;;
-        --help)
-            usage
-            exit 0
-            ;;
-        *|-*)
-	        echo $basename: ERROR Unknown Option $arg 1>&2
-            echo 1>&2
-            usage 1>&2
-            echo "### $basename: Exitting." 1>&2
-            exit 1;
-            ;;
-    esac
-    shift
-done
-
-exit 0

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/bin/couchdb.bat.tpl.in
----------------------------------------------------------------------
diff --git a/bin/couchdb.bat.tpl.in b/bin/couchdb.bat.tpl.in
deleted file mode 100644
index 8718ee6..0000000
--- a/bin/couchdb.bat.tpl.in
+++ /dev/null
@@ -1,26 +0,0 @@
-@echo off
-rem Licensed under the Apache License, Version 2.0 (the "License"); you may not
-rem use this file except in compliance with the License. You may obtain a copy
-rem of the License at
-rem
-rem   http://www.apache.org/licenses/LICENSE-2.0
-rem
-rem Unless required by applicable law or agreed to in writing, software
-rem distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-rem WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-rem License for the specific language governing permissions and limitations
-rem under the License.
-
-setlocal
-rem First change to the drive with the erlang bin directory
-%~d0
-rem then change to the erlang bin directory
-cd %~dp0
-
-rem Allow a different erlang executable (eg, erl) to be used.
-rem When using erl instead of werl, server restarts during test runs can fail
-rem intermittently. But using erl should be fine for production use.
-if "%ERL%x" == "x" set ERL=werl.exe
-
-echo CouchDB %version% - prepare to relax...
-%ERL% -sasl errlog_type error -s couch +A 4 +W w

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/bin/couchdb.tpl.in
----------------------------------------------------------------------
diff --git a/bin/couchdb.tpl.in b/bin/couchdb.tpl.in
deleted file mode 100644
index 709a56e..0000000
--- a/bin/couchdb.tpl.in
+++ /dev/null
@@ -1,339 +0,0 @@
-#! /bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you may not
-# use this file except in compliance with the License. You may obtain a copy of
-# the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-# License for the specific language governing permissions and limitations under
-# the License.
-
-BACKGROUND=false
-DEFAULT_CONFIG_DIR=%localconfdir%/default.d
-DEFAULT_CONFIG_FILE=%localconfdir%/%defaultini%
-ERL_OS_MON_OPTIONS="-os_mon \
-    start_memsup false \
-    start_cpu_sup false \
-    disk_space_check_interval 1 \
-    disk_almost_full_threshold 1"
-ERL_START_OPTIONS="$ERL_OS_MON_OPTIONS -sasl errlog_type error +K true +A 4"
-HEART_BEAT_TIMEOUT=11
-HEART_COMMAND="%bindir%/%couchdb_command_name% -k"
-INTERACTIVE=false
-KILL=false
-LOCAL_CONFIG_DIR=%localconfdir%/local.d
-LOCAL_CONFIG_FILE=%localconfdir%/%localini%
-PID_FILE=%localstatedir%/run/couchdb/couchdb.pid
-RECURSED=false
-RESET_CONFIG=true
-RESPAWN_TIMEOUT=0
-SCRIPT_ERROR=1
-SCRIPT_OK=0
-SHUTDOWN=false
-STDERR_FILE=couchdb.stderr
-STDOUT_FILE=couchdb.stdout
-
-print_arguments=""
-start_arguments=""
-background_start_arguments=""
-
-basename=`basename $0`
-
-display_version () {
-    cat << EOF
-$basename - %package_name% %version%
-
-Licensed under the Apache License, Version 2.0 (the "License"); you may not use
-this file except in compliance with the License. You may obtain a copy of the
-License at
-
-  http://www.apache.org/licenses/LICENSE-2.0
-
-Unless required by applicable law or agreed to in writing, software distributed
-under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
-CONDITIONS OF ANY KIND, either express or implied. See the License for the
-specific language governing permissions and limitations under the License.
-
-EOF
-}
-
-display_help () {
-    cat << EOF
-Usage: $basename [OPTION]
-
-The $basename command runs the %package_name% server.
-
-Erlang is called with:
-
-    $ERL_START_OPTIONS
-
-Erlang inherits the environment of this command.
-
-You can override these options using the environment:
-
-    ERL_AFLAGS, ERL_FLAGS, ERL_ZFLAGS
-
-See erl(1) for more information about the environment variables.
-
-The exit status is 0 for success or 1 for failure.
-
-Options:
-
-  -h          display a short help message and exit
-  -V          display version information and exit
-  -a FILE     add configuration FILE to chain
-  -A DIR      add configuration DIR to chain
-  -n          reset configuration file chain (including system default)
-  -c          print configuration file chain and exit
-  -i          use the interactive Erlang shell
-  -b          spawn as a background process
-  -p FILE     set the background PID FILE (overrides system default)
-  -r SECONDS  respawn background process after SECONDS (defaults to no respawn)
-  -o FILE     redirect background stdout to FILE (defaults to $STDOUT_FILE)
-  -e FILE     redirect background stderr to FILE (defaults to $STDERR_FILE)
-  -s          display the status of the background process
-  -k          kill the background process, will respawn if needed
-  -d          shutdown the background process
-
-Report bugs at <%bug_uri%>.
-EOF
-}
-
-display_error () {
-    if test -n "$1"; then
-        echo $1 >&2
-    fi
-    echo >&2
-    echo "Try \`"$basename" -h' for more information." >&2
-    false
-}
-
-_get_pid () {
-    if test -f $PID_FILE; then
-        PID=`cat $PID_FILE`
-    fi
-    echo $PID
-}
-
-_add_config_file () {
-    if test -z "$print_arguments"; then
-        print_arguments="$1"
-    else
-        print_arguments="`cat <<EOF
-$print_arguments
-$1
-EOF
-`"
-    fi
-    start_arguments="$start_arguments $1"
-    background_start_arguments="$background_start_arguments -a $1"
-}
-
-_add_config_dir () {
-    for file in "$1"/*.ini; do
-        if [ -r "$file" ]; then
-          _add_config_file "$file"
-        fi
-    done
-}
-
-_load_config () {
-    _add_config_file "$DEFAULT_CONFIG_FILE"
-    _add_config_dir "$DEFAULT_CONFIG_DIR"
-    _add_config_file "$LOCAL_CONFIG_FILE"
-    _add_config_dir "$LOCAL_CONFIG_DIR"
-    if [ "$COUCHDB_ADDITIONAL_CONFIG_FILE" != '' ]
-    then
-        _add_config_file "$COUCHDB_ADDITIONAL_CONFIG_FILE"
-    fi
-}
-
-_reset_config () {
-    print_arguments=""
-    start_arguments=""
-    background_start_arguments="-n"
-}
-
-_print_config () {
-    cat <<EOF
-$print_arguments
-EOF
-}
-
-check_status () {
-    PID=`_get_pid`
-    if test -n "$PID"; then
-        if kill -0 $PID 2> /dev/null; then
-            echo "Apache CouchDB is running as process $PID, time to relax."
-            return $SCRIPT_OK
-        else
-            echo >&2 << EOF
-Apache CouchDB is not running but a stale PID file exists: $PID_FILE
-EOF
-        fi
-    else
-        echo "Apache CouchDB is not running." >&2
-    fi
-    return $SCRIPT_ERROR
-}
-
-check_environment () {
-    if test "$BACKGROUND" != "true"; then
-        return
-    fi
-    touch $PID_FILE 2> /dev/null || true
-    touch $STDOUT_FILE 2> /dev/null || true
-    touch $STDERR_FILE 2> /dev/null || true
-    message_prefix="Apache CouchDB needs write permission on the"
-    if test ! -w $PID_FILE; then
-        echo "$message_prefix PID file: $PID_FILE" >&2
-        false
-    fi
-    if test ! -w $STDOUT_FILE; then
-        echo "$message_prefix STDOUT file: $STDOUT_FILE" >&2
-        false
-    fi
-    if test ! -w $STDERR_FILE; then
-        echo "$message_prefix STDERR file: $STDERR_FILE" >&2
-        false
-    fi
-    message_prefix="Apache CouchDB needs a regular"
-    if test `echo 2> /dev/null >> $PID_FILE; echo $?` -gt 0; then
-        echo "$message_prefix PID file: $PID_FILE" >&2
-        false
-    fi
-    if test `echo 2> /dev/null >> $STDOUT_FILE; echo $?` -gt 0; then
-        echo "$message_prefix STDOUT file: $STDOUT_FILE" >&2
-        false
-    fi
-    if test `echo 2> /dev/null >> $STDERR_FILE; echo $?` -gt 0; then
-        echo "$message_prefix STDERR file: $STDERR_FILE" >&2
-        false
-    fi
-}
-
-start_couchdb () {
-    if test ! "$RECURSED" = "true"; then
-        if check_status 2> /dev/null; then
-            exit
-        fi
-        check_environment
-    fi
-    interactive_option="+Bd -noinput"
-    if test "$INTERACTIVE" = "true"; then
-        interactive_option=""
-    fi
-    if test "$BACKGROUND" = "true"; then
-        touch $PID_FILE
-        interactive_option="+Bd -noinput"
-    fi
-    command="%ERL% -sname couchdb $interactive_option $ERL_START_OPTIONS \
-        -env ERL_LIBS $ERL_LIBS:%localerlanglibdir% -couch_ini $start_arguments -s couch"
-    if test "$BACKGROUND" = "true" -a "$RECURSED" = "false"; then
-        $0 $background_start_arguments -b -r $RESPAWN_TIMEOUT -p $PID_FILE \
-            -o $STDOUT_FILE -e $STDERR_FILE -R &
-        echo "Apache CouchDB has started, time to relax."
-    else
-        if test "$RECURSED" = "true"; then
-            while true; do
-                export HEART_COMMAND
-                export HEART_BEAT_TIMEOUT
-                `eval $command -pidfile $PID_FILE -heart \
-                    >> $STDOUT_FILE 2>> $STDERR_FILE` || true
-                PID=`_get_pid`
-                if test -n "$PID"; then
-                    if kill -0 $PID 2> /dev/null; then
-                        return $SCRIPT_ERROR
-                    fi
-                else
-                    return $SCRIPT_OK
-                fi
-                if test "$RESPAWN_TIMEOUT" = "0"; then
-                    return $SCRIPT_OK
-                fi
-                if test "$RESPAWN_TIMEOUT" != "1"; then
-                    plural_ending="s"
-                fi
-                cat << EOF
-Apache CouchDB crashed, restarting in $RESPAWN_TIMEOUT second$plural_ending.
-EOF
-                sleep $RESPAWN_TIMEOUT
-            done
-        else
-            eval exec $command
-        fi
-    fi
-}
-
-stop_couchdb () {
-    PID=`_get_pid`
-    if test -n "$PID"; then
-        if test "$1" = "false"; then
-            echo > $PID_FILE
-        fi
-        if kill -0 $PID 2> /dev/null; then
-            if kill -1 $PID 2> /dev/null; then
-                if test "$1" = "false"; then
-                    echo "Apache CouchDB has been shutdown."
-                else
-                    echo "Apache CouchDB has been killed."
-                fi
-                return $SCRIPT_OK
-            else
-                echo "Apache CouchDB could not be killed." >&2
-                return $SCRIPT_ERROR
-            fi
-            if test "$1" = "false"; then
-                echo "Stale PID file exists but Apache CouchDB is not running."
-            else
-                echo "Stale PID file existed but Apache CouchDB is not running."
-            fi
-        fi
-    else
-        echo "Apache CouchDB is not running."
-    fi
-}
-
-parse_script_option_list () {
-    _load_config
-    set +e
-    options=`getopt hVa:A:ncibp:r:Ro:e:skd $@`
-    if test ! $? -eq 0; then
-        display_error
-    fi
-    set -e
-    eval set -- $options
-    while [ $# -gt 0 ]; do
-        case "$1" in
-            -h) shift; display_help; exit;;
-            -V) shift; display_version; exit;;
-            -a) shift; _add_config_file "$1"; shift;;
-            -A) shift; _add_config_dir "$1"; shift;;
-            -n) shift; _reset_config;;
-            -c) shift; _print_config; exit;;
-            -i) shift; INTERACTIVE=true;;
-            -b) shift; BACKGROUND=true;;
-            -r) shift; RESPAWN_TIMEOUT=$1; shift;;
-            -R) shift; RECURSED=true;;
-            -p) shift; PID_FILE=$1; shift;;
-            -o) shift; STDOUT_FILE=$1; shift;;
-            -e) shift; STDERR_FILE=$1; shift;;
-            -s) shift; check_status; exit;;
-            -k) shift; KILL=true;;
-            -d) shift; SHUTDOWN=true;;
-            --) shift; break;;
-            *) display_error "Unknown option: $1" >&2;;
-        esac
-    done
-    if test "$KILL" = "true" -o "$SHUTDOWN" = "true"; then
-        stop_couchdb $KILL
-    else
-        start_couchdb
-    fi
-}
-
-parse_script_option_list $@

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/default/couchdb
----------------------------------------------------------------------
diff --git a/etc/default/couchdb b/etc/default/couchdb
deleted file mode 100644
index c2a3f2a..0000000
--- a/etc/default/couchdb
+++ /dev/null
@@ -1,7 +0,0 @@
-# Sourced by init script for configuration.
-
-COUCHDB_USER=couchdb
-COUCHDB_STDOUT_FILE=/dev/null
-COUCHDB_STDERR_FILE=/dev/null
-COUCHDB_RESPAWN_TIMEOUT=5
-COUCHDB_OPTIONS=

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/init/couchdb.tpl.in
----------------------------------------------------------------------
diff --git a/etc/init/couchdb.tpl.in b/etc/init/couchdb.tpl.in
deleted file mode 100644
index 39b6250..0000000
--- a/etc/init/couchdb.tpl.in
+++ /dev/null
@@ -1,159 +0,0 @@
-#!/bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you may not
-# use this file except in compliance with the License. You may obtain a copy of
-# the License at
-#
-#   http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-# License for the specific language governing permissions and limitations under
-# the License.
-
-### BEGIN INIT INFO
-# Provides:          couchdb
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Apache CouchDB init script
-# Description:       Apache CouchDB init script for the database server.
-### END INIT INFO
-
-SCRIPT_OK=0
-SCRIPT_ERROR=1
-
-DESCRIPTION="database server"
-NAME=couchdb
-SCRIPT_NAME=`basename $0`
-COUCHDB=%bindir%/%couchdb_command_name%
-CONFIGURATION_FILE=%sysconfdir%/default/couchdb
-RUN_DIR=%localstaterundir%
-LSB_LIBRARY=/lib/lsb/init-functions
-
-if test ! -x $COUCHDB; then
-    exit $SCRIPT_ERROR
-fi
-
-if test -r $CONFIGURATION_FILE; then
-    . $CONFIGURATION_FILE
-fi
-
-log_daemon_msg () {
-    # Dummy function to be replaced by LSB library.
-
-    echo $@
-}
-
-log_end_msg () {
-    # Dummy function to be replaced by LSB library.
-
-    if test "$1" != "0"; then
-      echo "Error with $DESCRIPTION: $NAME"
-    fi
-    return $1
-}
-
-if test -r $LSB_LIBRARY; then
-    . $LSB_LIBRARY
-fi
-
-run_command () {
-    command="$1"
-    if test -n "$COUCHDB_OPTIONS"; then
-        command="$command $COUCHDB_OPTIONS"
-    fi
-    if test -n "$COUCHDB_USER"; then
-        if su $COUCHDB_USER -c "$command"; then
-            return $SCRIPT_OK
-        else
-            return $SCRIPT_ERROR
-        fi
-    else
-        if $command; then
-            return $SCRIPT_OK
-        else
-            return $SCRIPT_ERROR
-        fi
-    fi
-}
-
-start_couchdb () {
-    # Start Apache CouchDB as a background process.
-
-    mkdir -p "$RUN_DIR"
-    if test -n "$COUCHDB_USER"; then
-        chown $COUCHDB_USER "$RUN_DIR"
-    fi
-    command="$COUCHDB -b"
-    if test -n "$COUCHDB_STDOUT_FILE"; then
-        command="$command -o $COUCHDB_STDOUT_FILE"
-    fi
-    if test -n "$COUCHDB_STDERR_FILE"; then
-        command="$command -e $COUCHDB_STDERR_FILE"
-    fi
-    if test -n "$COUCHDB_RESPAWN_TIMEOUT"; then
-        command="$command -r $COUCHDB_RESPAWN_TIMEOUT"
-    fi
-    run_command "$command" > /dev/null
-}
-
-stop_couchdb () {
-    # Stop the running Apache CouchDB process.
-
-    run_command "$COUCHDB -d" > /dev/null
-}
-
-display_status () {
-    # Display the status of the running Apache CouchDB process.
-
-    run_command "$COUCHDB -s"
-}
-
-parse_script_option_list () {
-    # Parse arguments passed to the script and take appropriate action.
-
-    case "$1" in
-        start)
-            log_daemon_msg "Starting $DESCRIPTION" $NAME
-            if start_couchdb; then
-                log_end_msg $SCRIPT_OK
-            else
-                log_end_msg $SCRIPT_ERROR
-            fi
-            ;;
-        stop)
-            log_daemon_msg "Stopping $DESCRIPTION" $NAME
-            if stop_couchdb; then
-                log_end_msg $SCRIPT_OK
-            else
-                log_end_msg $SCRIPT_ERROR
-            fi
-            ;;
-        restart)
-            log_daemon_msg "Restarting $DESCRIPTION" $NAME
-            if stop_couchdb; then
-                if start_couchdb; then
-                    log_end_msg $SCRIPT_OK
-                else
-                    log_end_msg $SCRIPT_ERROR
-                fi
-            else
-                log_end_msg $SCRIPT_ERROR
-            fi
-            ;;
-        status)
-            display_status
-            ;;
-        *)
-            cat << EOF >&2
-Usage: $SCRIPT_NAME {start|stop|restart|status}
-EOF
-            exit $SCRIPT_ERROR
-            ;;
-    esac
-}
-
-parse_script_option_list $@

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/launchd/org.apache.couchdb.plist.tpl.in
----------------------------------------------------------------------
diff --git a/etc/launchd/org.apache.couchdb.plist.tpl.in b/etc/launchd/org.apache.couchdb.plist.tpl.in
deleted file mode 100644
index c72f348..0000000
--- a/etc/launchd/org.apache.couchdb.plist.tpl.in
+++ /dev/null
@@ -1,30 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN"
-  "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-  <dict>
-    <key>Label</key>
-    <string>org.apache.couchdb</string>
-    <key>EnvironmentVariables</key>
-    <dict>
-      <key>HOME</key>
-      <string>~</string>
-      <key>DYLD_LIBRARY_PATH</key>
-      <string>/opt/local/lib:$DYLD_LIBRARY_PATH</string>
-    </dict>
-    <key>ProgramArguments</key>
-    <array>
-      <string>%bindir%/%couchdb_command_name%</string>
-    </array>
-    <key>UserName</key>
-    <string>couchdb</string>
-    <key>StandardOutPath</key>
-    <string>/dev/null</string>
-    <key>StandardErrorPath</key>
-    <string>/dev/null</string>
-    <key>RunAtLoad</key>
-    <true/>
-    <key>KeepAlive</key>
-    <true/>
-  </dict>
-</plist>

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/logrotate.d/couchdb.tpl.in
----------------------------------------------------------------------
diff --git a/etc/logrotate.d/couchdb.tpl.in b/etc/logrotate.d/couchdb.tpl.in
deleted file mode 100644
index 0bb07e1..0000000
--- a/etc/logrotate.d/couchdb.tpl.in
+++ /dev/null
@@ -1,9 +0,0 @@
-%localstatelogdir%/*.log {
-       weekly
-       rotate 10
-       copytruncate
-       delaycompress
-       compress
-       notifempty
-       missingok
-}

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/windows/README.txt.tpl
----------------------------------------------------------------------
diff --git a/etc/windows/README.txt.tpl b/etc/windows/README.txt.tpl
deleted file mode 100644
index 791bcc8..0000000
--- a/etc/windows/README.txt.tpl
+++ /dev/null
@@ -1,29 +0,0 @@
-This is the README for the %package_name% binary distribution for 
-Windows, version %version%.
-
-* Although CouchDB defaults to installing into your "Program Files" directory,
-  the permissions on the 'var' and 'etc' sub-directories have been adjusted 
-  to allow modification by any authorized user so the couchdb databases, logs 
-  and .ini files can be written.  You may like to further restrict these 
-  permissions to only the user who will be running couchdb.
-
-* The installer offers to install CouchDB as a Windows Service.  If you select
-  this option, the service will run as the "LocalSystem" user and be 
-  configured to start automatically.  You can configure the service properties
-  via the Windows 'Services' applet.
-
-* To start CouchDB in a "console" environment, execute couchdb.bat in the 
-  'bin' directory.  A shortcut to this batch file should have been installed.
-  Don't try and start couchdb this way if the service is running - it will 
-  fail.
-
-* The Futon application which comes with CouchDB does not work with
-  Internet Explorer - Mozilla Firefox is generally recommended.
-
-* The test suite is known to fail on Windows due to what appear to be
-  permissions errors; this is due to couch being unable to delete a 
-  file while it is in use on Windows.
-  See also https://issues.apache.org/jira/browse/COUCHDB-326
-
-* Additional help with the Windows support is needed - please contact the
-  couchdb-dev list if you can help.

http://git-wip-us.apache.org/repos/asf/couchdb/blob/a19f7f70/etc/windows/couchdb.iss.tpl
----------------------------------------------------------------------
diff --git a/etc/windows/couchdb.iss.tpl b/etc/windows/couchdb.iss.tpl
deleted file mode 100644
index af8ea10..0000000
--- a/etc/windows/couchdb.iss.tpl
+++ /dev/null
@@ -1,92 +0,0 @@
-; Licensed under the Apache License, Version 2.0 (the "License"); you may not
-; use this file except in compliance with the License. You may obtain a copy of
-; the License at
-;
-;   http://www.apache.org/licenses/LICENSE-2.0
-;
-; Unless required by applicable law or agreed to in writing, software
-; distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-; WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-; License for the specific language governing permissions and limitations under
-; the License.
-
-; CouchDB inno installer script
-; %configure_input%
-
-[Setup]
-AppID=ApacheCouchDB
-AppName=%package_name%
-AppVerName=%package_name% %version%
-AppPublisher=Apache Software Foundation
-AppPublisherURL=http://couchdb.apache.org/
-LicenseFile=../../LICENSE
-DefaultDirName={pf}\Apache Software Foundation\CouchDB
-DefaultGroupName=%package_name%
-OutputBaseFilename=setup-couchdb-%version%
-OutputDir=.
-
-[Files]
-Source: "%locallibbindir%\..\*.*"; DestDir: "{app}"; Flags: ignoreversion uninsrestartdelete restartreplace
-; bin dir
-Source: "%locallibbindir%\*.*"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-; other dirs copied '*.*'
-Source: "%locallibbindir%\..\erts-%erts_version%\*.*"; DestDir: "{app}\erts-%erts_version%"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\lib\*.*"; DestDir: "{app}\lib"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\share\*.*"; DestDir: "{app}\share"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\releases\*.*"; DestDir: "{app}\releases"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-; skip ./usr, ./var
-
-; These are erlang requirements and not copied by our makefiles.
-; From R14B01 onwards OTP may be built with a static OpenSSL so
-; thse DLLs are now optional.
-Source: "%openssl_bin_dir%\ssleay32.dll"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace skipifsourcedoesntexist
-Source: "%openssl_bin_dir%\libeay32.dll"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace skipifsourcedoesntexist
-
-; custom stuff...
-; ./etc/default.ini is unconditional
-Source: "%locallibbindir%\..\etc\couchdb\default.ini"; DestDir: "{app}\etc\couchdb"; Flags: ignoreversion uninsrestartdelete restartreplace
-; ./etc/local.ini is preserved and should not be updated if it exists
-Source: "%locallibbindir%\..\etc\couchdb\local.ini"; DestDir: "{app}\etc\couchdb"; Flags: onlyifdoesntexist uninsneveruninstall
-; readme
-Source: "README.txt"; DestDir: "{app}"; Flags: isreadme
-
-; msvc redists - see comments in configure.ac for notes about these...
-; ( deleteafterinstall - not needed - {tmp} auto cleaned????
-Source: "%msvc_redist_dir%\%msvc_redist_name%"; DestDir: "{tmp}"; Flags: deleteafterinstall
-
-[Dirs]
-Name: "{app}\var\lib\couchdb"; Permissions: authusers-modify
-Name: "{app}\var\log\couchdb"; Permissions: authusers-modify
-Name: "{app}\var\run\couchdb"; Permissions: authusers-modify
-Name: "{app}\etc\couchdb"; Permissions: authusers-modify
-
-[Icons]
-Name: "{group}\Start CouchDB"; Filename: "{app}\bin\couchdb.bat"
-Name: "{group}\Futon (CouchDB web interface)"; Filename: "http://127.0.0.1:5984/_utils"
-Name: "{group}\CouchDB Web Site"; Filename: "http://couchdb.apache.org/"
-Name: "{group}\CouchDB Online Docs"; Filename: "http://docs.couchdb.org/"
-Name: "{group}\CouchDB Embedded Docs"; Filename: "http://localhost:5984/_utils/docs/"
-
-[Tasks]
-Name: service; Description: "Install couchdb as a Windows service"
-Name: service\start; Description: "Start the service after installation"
-
-[Run]
-Filename: "{tmp}\%msvc_redist_name%"; Parameters: "/q"
-; This is erlang's Install.exe which updates erl.ini correctly.
-Filename: "{app}\Install.exe"; Parameters: "-s"; Flags: runhidden
-
-; Commands for a service
-; First attempt to nuke an existing service of this name, incase they are
-; reinstalling without uninstalling
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "remove ""%package_name%"""; Flags: runhidden; Tasks: service
-; add a new service, including automatic restart by default on failure
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "add ""%package_name%"" -workdir ""{app}\bin"" -onfail restart_always -args ""-sasl errlog_type error -s couch +A 4 +W w"" -comment ""%package_name% %version%"""; Flags: runhidden; Tasks: service
-; and start it if requested
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "start ""%package_name%"""; Flags: runhidden; Tasks: service\start
-
-[UninstallRun]
-; erlsrv stops services prior to removing them
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "remove ""%package_name%"""; Flags: runhidden; Tasks: service
-; kill epmd.exe if running to ensure uninstaller is not prevented from removing all binaries
-Filename: "{app}\erts-%erts_version%\bin\epmd.exe"; Parameters: "-kill"; Flags: runhidden